gi-gio-2.0.19: Gio bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Gio.Objects.FilterInputStream

Contents

- Exported types
- Methods
  - getBaseStream
  - getCloseBaseStream
  - setCloseBaseStream
- Properties
  - baseStream
  - closeBaseStream

Description

Base class for input stream implementations that perform some kind of filtering operation on a base stream. Typical examples of filtering operations are character set conversion, compression and byte order flipping.

Synopsis

- newtype FilterInputStream = FilterInputStream (ManagedPtr FilterInputStream)
- class GObject o => IsFilterInputStream o
- toFilterInputStream :: (MonadIO m, IsFilterInputStream o) => o -> m FilterInputStream
- noFilterInputStream :: Maybe FilterInputStream
- filterInputStreamGetBaseStream :: (HasCallStack, MonadIO m, IsFilterInputStream a) => a -> m InputStream
- filterInputStreamGetCloseBaseStream :: (HasCallStack, MonadIO m, IsFilterInputStream a) => a -> m Bool
- filterInputStreamSetCloseBaseStream :: (HasCallStack, MonadIO m, IsFilterInputStream a) => a -> Bool -> m ()
- constructFilterInputStreamBaseStream :: (IsFilterInputStream o, IsInputStream a) => a -> IO (GValueConstruct o)
- getFilterInputStreamBaseStream :: (MonadIO m, IsFilterInputStream o) => o -> m InputStream
- constructFilterInputStreamCloseBaseStream :: IsFilterInputStream o => Bool -> IO (GValueConstruct o)
- getFilterInputStreamCloseBaseStream :: (MonadIO m, IsFilterInputStream o) => o -> m Bool
- setFilterInputStreamCloseBaseStream :: (MonadIO m, IsFilterInputStream o) => o -> Bool -> m ()

# Exported types

newtype FilterInputStream Source #

Memory-managed wrapper type.

Constructors

FilterInputStream (ManagedPtr FilterInputStream) |

Instances

GObject FilterInputStream Source # |
Instance details Defined in GI.Gio.Objects.FilterInputStream Methods gobjectType :: FilterInputStream -> IO GType Source #
IsObject FilterInputStream Source # |
Instance details Defined in GI.Gio.Objects.FilterInputStream
IsFilterInputStream FilterInputStream Source # |
Instance details Defined in GI.Gio.Objects.FilterInputStream
IsInputStream FilterInputStream Source # |
Instance details Defined in GI.Gio.Objects.FilterInputStream

class GObject o => IsFilterInputStream o Source #

Type class for types which can be safely cast to `FilterInputStream`, for instance with `toFilterInputStream`.

Instances

(GObject a, (UnknownAncestorError FilterInputStream a :: Constraint)) => IsFilterInputStream a Source # |
Instance details Defined in GI.Gio.Objects.FilterInputStream
IsFilterInputStream BufferedInputStream Source # |
Instance details Defined in GI.Gio.Objects.BufferedInputStream
IsFilterInputStream FilterInputStream Source # |
Instance details Defined in GI.Gio.Objects.FilterInputStream
IsFilterInputStream ConverterInputStream Source # |
Instance details Defined in GI.Gio.Objects.ConverterInputStream
IsFilterInputStream DataInputStream Source # |
Instance details Defined in GI.Gio.Objects.DataInputStream

toFilterInputStream :: (MonadIO m, IsFilterInputStream o) => o -> m FilterInputStream Source #

Cast to `FilterInputStream`, for types for which this is known to be safe. For general casts, use `castTo`.

noFilterInputStream :: Maybe FilterInputStream Source #

A convenience alias for `Nothing` :: `Maybe` `FilterInputStream`.

# Methods

## getBaseStream

filterInputStreamGetBaseStream Source #

Arguments

:: (HasCallStack, MonadIO m, IsFilterInputStream a) |
=> a | `stream`: a `FilterInputStream`.
-> m InputStream | Returns: a `InputStream`.

Gets the base stream for the filter stream.

## getCloseBaseStream

filterInputStreamGetCloseBaseStream Source #

Arguments

:: (HasCallStack, MonadIO m, IsFilterInputStream a) |
=> a | `stream`: a `FilterInputStream`.
-> m Bool | Returns: `True` if the base stream will be closed.

Returns whether the base stream will be closed when `stream` is closed.

## setCloseBaseStream

filterInputStreamSetCloseBaseStream Source #

Arguments

:: (HasCallStack, MonadIO m, IsFilterInputStream a) |
=> a | `stream`: a `FilterInputStream`.
-> Bool | `closeBase`: `True` to close the base stream.
-> m () |

Sets whether the base stream will be closed when `stream` is closed.

# Properties

## baseStream

No description available in the introspection data.

constructFilterInputStreamBaseStream :: (IsFilterInputStream o, IsInputStream a) => a -> IO (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`base-stream`” property. This is rarely needed directly, but it is used by `new`.

getFilterInputStreamBaseStream :: (MonadIO m, IsFilterInputStream o) => o -> m InputStream Source #

Get the value of the “`base-stream`” property. When overloading is enabled, this is equivalent to

    get filterInputStream #baseStream

## closeBaseStream

No description available in the introspection data.

constructFilterInputStreamCloseBaseStream :: IsFilterInputStream o => Bool -> IO (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`close-base-stream`” property. This is rarely needed directly, but it is used by `new`.

getFilterInputStreamCloseBaseStream :: (MonadIO m, IsFilterInputStream o) => o -> m Bool Source #

Get the value of the “`close-base-stream`” property. When overloading is enabled, this is equivalent to

    get filterInputStream #closeBaseStream

setFilterInputStreamCloseBaseStream :: (MonadIO m, IsFilterInputStream o) => o -> Bool -> m () Source #

Set the value of the “`close-base-stream`” property. When overloading is enabled, this is equivalent to

    set filterInputStream [ #closeBaseStream := value ]